Skip directly to content

IE

Scopus will no longer support Internet Explorer 9 (IE9) beginning November 3, 2016

on Tue, 10/25/2016 - 23:25

As of November 3 2016, Scopus will no longer support Internet Explorer 9 (IE9). In January 2016, Microsoft announced its official discontinuation of Internet Explorer 8, 9, and 10 (more information can be found on Microsoft’s support page).

Scopus is in the process of improving its workflow by updating its user interface to the latest technology, HTML5. Scopus aims to provide the best possible user experience, utilizing the most effective tools and most powerful technology. Moving from older technologies to support new ones enables us to improve the performance of the product and develop a better user experience for all our users. Older browsers like IE9 do not support HTML5, the new industry standard for structuring and presenting content for the web. HTML5 supports mobile devices, doesn’t rely on plug-ins, and provides a faster customer experience.

In order for our users to continue benefitting from Scopus’ new features and functionalities, we would like to recommend upgrading your

Release Date: 
November 3 2016

How to resolve Internet Explorer 11 (IE11) compatibility issues with Scopus.com

on Mon, 08/22/2016 - 18:32

If you use Internet Explorer 11 (IE11) to access scopus.com and are receiving a “browser not supported page,” you will need to disable the “Compatibility View” setting for scopus.com. To do this, follow the steps below (click on the images to enlarge).

Step 1: In IE11 click the “Tools” tab or the tools icon and select “Compatibility View settings” from the menu.

Step 2: A pop-up will appear with scopus.com listed as one of the websites added to the ‘Compatibility Views’ box. Select scopus.com from the list and click on ‘Remove.’ Once this is completed, the browser should automatically reload scopus.com. If it does not and you are still experiencing issues, please continue to Step 3 below.

Step 3: If your institution has set up scopus.com as an intranet website, you will need to disable the “display intranet sites in Compatibility